Schema: EdgeParentBracketAck (ID: 7946)
METADATA
| Attribute | Value |
|---|---|
| Topic | 7930-edge-generator |
| MLink Token | ClientTrading |
| MLink Endpoint | MLink-Order |
Note: The symbol
=next to a field number indicates that it is a primary key.
BODY
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 10= | accnt | string(16) | ||
| 11= | cfirm | string(16) | ||
| 12= | secKey | OptionKey | ||
| 13= | secType | enum : SpdrKeyType | ||
| 14= | strategyCode | string(64) | ||
| 15= | bracketNumber | long | ||
| 100 | ackStatus | enum : EdgeBracketAckStatus | ||
| 103 | slotVersion | ushort | highest intent version processed | |
| 106 | slotNumber | long | the incarnation this ack reports on | |
| 109 | hostCode | string(64) | emulator or host instance | |
| 112 | rejectReason | enum : EdgeBracketReject | ||
| 115 | rejectDetail | text1 | ||
| 118 | packageState | enum : EdgeBracketState | ||
| 121 | fillSize | int | entry cum, this incarnation | |
| 124 | avgFillPrice | double | ||
| 127 | restWorkingSize | int | ||
| 130 | takeWorkingSize | int | ||
| 133 | exitOpenSize | int | ||
| 136 | exitTargetFilled | int | ||
| 139 | exitStopFired | enum : YesNo | ||
| 142 | legExposureSize | int | unhedged package units (spread) | |
| 145 | numFills | int | ||
| 148 | lastFillDttm | long | ||
| 151 | timestamp | long |
REPEATING FIELDS
AckLegs
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 203 | legIndex | byte | ||
| 206 | legSecKey | OptionKey | resolved key for a band leg | |
| 209 | legHostCode | string(64) | host executing this leg | |
| 212 | legRole | enum : EdgeLegRole | as chosen when the lead is model-selected | |
| 215 | legWorkingSize | int | ||
| 218 | legFillSize | int | ||
| 221 | legAvgFillPrice | double | ||
| 224 | legStopFired | enum : YesNo |
Get Schema API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'EdgeParentBracketAck'
# Request Parameters for Get Schema Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getschema',
"msgType": MSG_TYPE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getschema' \
--data-urlencode 'msgType=EdgeParentBracketAck'
Get Msg API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'EdgeParentBracketAck'
# Replace with your pkey value for getting the specific message desired
PKEY = 'ReplaceThisValueForTheQueryToWork'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned.
VIEW = 'ackStatus|slotVersion|slotNumber|hostCode|rejectReason|rejectDetail|packageState|fillSize|avgFillPrice|restWorkingSize|takeWorkingSize|exitOpenSize|exitTargetFilled|exitStopFired|legExposureSize|numFills|lastFillDttm|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:valuse" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'accnt:eq:ExampleString'
# Request Parameters for getmsg Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsg',
"pkey": PKEY,
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsg' \
--data-urlencode 'pkey=ReplaceThisValueForTheQueryToWork' \
--data-urlencode 'msgType=EdgeParentBracketAck' \
--data-urlencode 'view=ackStatus|slotVersion|slotNumber|hostCode|rejectReason|rejectDetail|packageState|fillSize|avgFillPrice|restWorkingSize|takeWorkingSize|exitOpenSize|exitTargetFilled|exitStopFired|legExposureSize|numFills|lastFillDttm|timestamp' \
--data-urlencode 'where=accnt:eq:ExampleString'
Get Msgs API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'EdgeParentBracketAck'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned
VIEW = 'ackStatus|slotVersion|slotNumber|hostCode|rejectReason|rejectDetail|packageState|fillSize|avgFillPrice|restWorkingSize|takeWorkingSize|exitOpenSize|exitTargetFilled|exitStopFired|legExposureSize|numFills|lastFillDttm|timestamp'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'accnt:eq:ExampleString'
# Replace with your desired limit of how many messages you receive. The default limit is 500
LIMIT = 500
# Order clause eg. "(field1:DESC | field1:ASC | field2:DESC:ABS | field2:ASC:ABS" (default is unordered; default is faster)
ORDER = 'ackStatus:ASC'
# Request Parameters for getmsgs Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsgs',
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE,
"limit": LIMIT,
"order": ORDER
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsgs' \
--data-urlencode 'msgType=EdgeParentBracketAck' \
--data-urlencode 'view=ackStatus|slotVersion|slotNumber|hostCode|rejectReason|rejectDetail|packageState|fillSize|avgFillPrice|restWorkingSize|takeWorkingSize|exitOpenSize|exitTargetFilled|exitStopFired|legExposureSize|numFills|lastFillDttm|timestamp' \
--data-urlencode 'where=accnt:eq:ExampleString' \
--data-urlencode 'limit=500' \
--data-urlencode 'order=ackStatus:ASC'
Get Aggregate API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'EdgeParentBracketAck'
# Replace with fields you want to see aggregate values for. A "|" separated list of measures should be provided
MEASURE = 'ackStatus|slotVersion|slotNumber|hostCode|rejectReason|rejectDetail|packageState|fillSize|avgFillPrice|restWorkingSize|takeWorkingSize|exitOpenSize|exitTargetFilled|exitStopFired|legExposureSize|numFills|lastFillDttm|timestamp'
# Replace with fields you want to see aggregated. A "|" separated list of fields should be provided
GROUP = 'ackStatus|rejectReason|packageState|exitStopFired'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'accnt:eq:ExampleString'
# Request Parameters for getaggregate Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getaggregate',
"msgType": MSG_TYPE,
"measure": MEASURE,
"group": GROUP,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getaggregate' \
--data-urlencode 'msgType=EdgeParentBracketAck' \
--data-urlencode 'measure=ackStatus|slotVersion|slotNumber|hostCode|rejectReason|rejectDetail|packageState|fillSize|avgFillPrice|restWorkingSize|takeWorkingSize|exitOpenSize|exitTargetFilled|exitStopFired|legExposureSize|numFills|lastFillDttm|timestamp' \
--data-urlencode 'group=ackStatus|rejectReason|packageState|exitStopFired' \
--data-urlencode 'where=accnt:eq:ExampleString'
Get Count API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'EdgeParentBracketAck'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = 'accnt:eq:ExampleString'
# Request Parameters for getCount Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getcount',
"msgType": MSG_TYPE,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getcount' \
--data-urlencode 'msgType=EdgeParentBracketAck' \
--data-urlencode 'where=accnt:eq:ExampleString'